Loading...
Searching...
No Matches
fastjet::TilingBase Class Referenceabstract

Class to indicate generic structure of tilings. More...

`#include <fastjet/RectangularGrid.hh>`

Inheritance diagram for fastjet::TilingBase:
[legend]

## Public Member Functions

virtual int | tile_index (const PseudoJet &p) const =0
| returns the index of the tile in which p is located, or -1 if p is outside the tiling region
virtual int | n_tiles () const =0
| returns the total number of tiles in the tiling; valid tile indices run from 0 ... n_tiles()-1;
virtual int | n_good_tiles () const
| returns the number of tiles that are "good"; i.e.
virtual bool | tile_is_good (int) const
| returns whether a given tile is good
virtual bool | all_tiles_good () const
| returns whether all tiles are good
virtual bool | all_tiles_equal_area () const
| returns true if all tiles have the same area
virtual double | tile_area (int) const
| returns the area of tile itile.
virtual double | mean_tile_area () const =0
| returns the mean area of the tiles.
virtual std::string | description () const =0
| returns a string to describe the tiling
virtual bool | is_initialised () const =0
| returns true if the Tiling structure is in a suitably initialised state
bool | is_initialized () const
virtual | ~TilingBase ()
| virtual destructor

## Detailed Description

Class to indicate generic structure of tilings.

Definition at line 42 of file RectangularGrid.hh.

## Constructor & Destructor Documentation

## ~TilingBase()

virtual fastjet::TilingBase::~TilingBase | ( |  | ) |

inline virtual

virtual destructor

Definition at line 83 of file RectangularGrid.hh.

## Member Function Documentation

## tile_index()

virtual int fastjet::TilingBase::tile_index | ( | const PseudoJet & | p | ) | const

pure virtual

returns the index of the tile in which p is located, or -1 if p is outside the tiling region

Implemented in fastjet::RectangularGrid.

## n_tiles()

virtual int fastjet::TilingBase::n_tiles | ( |  | ) | const

pure virtual

returns the total number of tiles in the tiling; valid tile indices run from 0 ... n_tiles()-1;

Implemented in fastjet::RectangularGrid.

## n_good_tiles()

virtual int fastjet::TilingBase::n_good_tiles | ( |  | ) | const

inline virtual

returns the number of tiles that are "good"; i.e.

there is scope for having tiles that, for whatever reason, should be ignored; there are situations in which having "non-good" tiles may be the simplest mechanism to obtain a tiling with holes in it

Reimplemented in fastjet::RectangularGrid.

Definition at line 56 of file RectangularGrid.hh.

## tile_is_good()

virtual bool fastjet::TilingBase::tile_is_good | ( | int |  | ) | const

inline virtual

returns whether a given tile is good

Reimplemented in fastjet::RectangularGrid.

Definition at line 59 of file RectangularGrid.hh.

## all_tiles_good()

virtual bool fastjet::TilingBase::all_tiles_good | ( |  | ) | const

inline virtual

returns whether all tiles are good

Definition at line 62 of file RectangularGrid.hh.

## all_tiles_equal_area()

virtual bool fastjet::TilingBase::all_tiles_equal_area | ( |  | ) | const

inline virtual

returns true if all tiles have the same area

Definition at line 65 of file RectangularGrid.hh.

## tile_area()

virtual double fastjet::TilingBase::tile_area | ( | int |  | ) | const

inline virtual

returns the area of tile itile.

Here with a default implementation to return mean_tile_area(), consistent with the fact that all_tiles_equal_area() returns true.

Reimplemented in fastjet::RectangularGrid.

Definition at line 70 of file RectangularGrid.hh.

## mean_tile_area()

virtual double fastjet::TilingBase::mean_tile_area | ( |  | ) | const

pure virtual

returns the mean area of the tiles.

Implemented in fastjet::RectangularGrid.

## description()

virtual std::string fastjet::TilingBase::description | ( |  | ) | const

pure virtual

returns a string to describe the tiling

Implemented in fastjet::GridJetPlugin, fastjet::GridMedianBackgroundEstimator, and fastjet::RectangularGrid.

## is_initialised()

virtual bool fastjet::TilingBase::is_initialised | ( |  | ) | const

pure virtual

returns true if the Tiling structure is in a suitably initialised state

Implemented in fastjet::RectangularGrid.

## is_initialized()

bool fastjet::TilingBase::is_initialized | ( |  | ) | const

inline

Definition at line 80 of file RectangularGrid.hh.

The documentation for this class was generated from the following file:

- include/fastjet/RectangularGrid.hh